import java.io.*;
import java.util.Scanner;

/**
 * Created by thook on 10/7/15.
 */
public class HamletParser {

    private String hamletData;

    public HamletParser(){
        this.hamletData = loadFile();
    }

    private String loadFile(){
        ClassLoader classLoader = getClass().getClassLoader();
        File file = new File(classLoader.getResource("hamlet.txt").getFile());
        StringBuilder result = new StringBuilder();

        try(Scanner scanner = new Scanner(file)){
            while(scanner.hasNextLine()){
                String line = scanner.nextLine();
                result.append(line).append("\n");
            }
        }catch(IOException e){
            e.printStackTrace();
        }

        return result.toString();
    }

    public String getHamletData(){
        return hamletData;
    }


    public String modifyFile(String filepath, String oldString, String newString){
        ClassLoader classLoader = getClass().getClassLoader();

        File fileToBeModified = new File(classLoader.getResource("hamlet.txt").getFile());

        String oldContent = "";
        BufferedReader reader = null;
        FileWriter writer = null;

        try{
            reader = new BufferedReader(new FileReader(fileToBeModified));

            String line = reader.readLine();
            while(line != null)
            {
                oldContent = oldContent + line + System.lineSeparator();

                line = reader.readLine();
            }

            String newContent = oldContent.replaceAll(oldString,newString);

            writer = new FileWriter(fileToBeModified);
            writer.write(newContent);
        }
        catch(IOException e)
        {
            e.printStackTrace();
        }

        return filepath;
    }

//    public String modifiedFile(){}

    public static void main(String[] args) {
        HamletParser hamletParser = new HamletParser();

        String hamletFile = hamletParser.loadFile();

        System.out.println(hamletParser.hamletData);

    }
}
